
Infrastructure - Task #1500

Story # 1403 (Closed): case insensitive parameter support in MultipartRequestResolver

review arch docs to make sure parameters follow the same format (camelText)

2011-04-07 17:18 - Rob Nahf

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2011.21-Block.3   

Milestone:  Story Points:  

Product Version: *   

Description

History

#1 - 2011-04-25 16:39 - Rob Nahf

- Assignee changed from Rob Nahf to Dave Vieglais

#2 - 2011-05-23 20:51 - Dave Vieglais

- Status changed from New to In Progress

#3 - 2011-05-31 14:21 - Dave Vieglais

- Status changed from In Progress to Closed

Docs updated to be clear. The outcome is that case of parameter names and values should be preserved. This is especially important on the request

generator side as the server implementation may choose to reject a request with malformed parameter names (e.g. getLogRecords called with a

parameter named "fromdate" instead of "fromDate"). This approach is taken to reduce the complexity of implementation of both server and clients

(i.e., reducing the number of special cases to be considered).

This applies to both parameters in URLs and parameter names in MIME multiart-mixed encoded bodies.
